Bug 97361 - Users are able to see all scheduled actions on the entire system.
Users are able to see all scheduled actions on the entire system.
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Robin Norwood
Vlady Zlatkin
Depends On:
Blocks: 142938
  Show dependency treegraph
Reported: 2003-06-13 13:00 EDT by Kyle Powell
Modified: 2007-07-31 15:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn400
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-19 21:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kyle Powell 2003-06-13 13:00:42 EDT
Description of problem:
All users, regardless of what groups they are assigned to (or even if they're
not assigned to a group) are able to see all scheduled actions (Pending, Failed,
Scheduled, and Archived) and machine counts for Succeeded, Failed, and In Progress.

The users are (correctly) unable to see system lists (In Progress, Completed,
Failed) for each action.


How reproducible:

Steps to Reproduce:
1. Create a user. Do not assign user to a group.
2. Login as user.
3. View any scheduled actions list.

Actual Results:  See all scheduled actions on the system.

Expected Results:  See only scheduled actions for systems that belong to user's
assigned group(s).
Comment 1 Jesus M. Rodriguez 2005-10-19 21:43:18 EDT
This was fixed with RHN 400.

Note You need to log in before you can comment on or make changes to this bug.